.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-customers ================== Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``24854223497`` - Source SHA: ``c33cd70faaabb5012e45c8006fc54830c2713078`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-5`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-customers`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-5`` - curl payload mode: ``none`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-5 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-customers Response: - exists: boolean - message: string - items: [{"pk":"string-{customer_id}","gsi_1_pk":"string-{customer_code}","gsi_1_sk":"string-{updated_at}","customer_id":"string-uuidv4","customer_code":"string","customer_name":"string","contact_number":"string","email":"string","address":"string","government_id_type":"string","government_id_number":"string","active":"boolean","updated_at":"string-iso8601"}] - count: number-whole-number - last_evaluated_key: string|null - source: string Request Payload --------------- .. code-block:: json [] Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"pk\":\"string-{customer_id}\",\"gsi_1_pk\":\"string-{customer_code}\",\"gsi_1_sk\":\"string-{updated_at}\",\"customer_id\":\"string-uuidv4\",\"customer_code\":\"string\",\"customer_name\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"address\":\"string\",\"government_id_type\":\"string\",\"government_id_number\":\"string\",\"active\":\"boolean\",\"updated_at\":\"string-iso8601\"}]", "count": "number-whole-number", "last_evaluated_key": "string|null", "source": "string" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers"